/* general */
.v-btn {
    padding: 0 !important;

    .v-btn__content {
        letter-spacing: 0;
        pointer-events: none;
        padding: 0 16px;
    }

    &.side-icon {
        .v-btn__content {
            span {
                margin-left: auto !important;
            }

            .v-icon {
                font-size: 32px;
                font-weight: bold;
                margin-right: auto !important;
            }
        }
    }

}

/* default */
.v-btn.v-size--default {
    min-height: 48px !important;
    height: 48px !important;

    .v-btn__content {
        font-size: 20px;
        font-weight: 500;
        color: #FFF;
        height: 48px !important;
    }
}

/* large */
.v-btn.v-size--large {
    min-height: 64px !important;
    height: 64px !important;

    .v-btn__content {
        height: 64px !important;
        font-size: 22px;
        font-weight: 500;
        color: #FFF;
    }
}

/* outlined */
.v-btn.v-btn--outlined {
    .v-btn__content {
        color: #575756;
    }
}

/* text */
.v-btn.v-btn--text {
    .v-btn__content {
        color: #575756;
    }
}

/* disable click colors */
.theme--light.no-bg:before,
.theme--light.no-bg:hover:before,
.theme--light.v-btn.no-bg:focus:before {
    opacity: 0 !important;
}


/* dark color */
.v-btn.text-dark {
    .v-btn__content {
        color: #FFF;
    }
}

